[Pythonmac-SIG] an import library was too new for a client

Jack Jansen jack@oratrix.nl
Tue, 08 Feb 2000 15:46:05 +0100

Recently, Pieter Claerhout <PClaerhout@CREO.BE> said:
> Hello,
> I installed Python 1.5.2c1 recently, and neow I have problems
> importing compiled modules. Whenever I try to import one,
> I get the following error:
> Traceback (innermost last):
>    file "<input>", line 1, in ?
> ImportError: PythonCore: an import library was too new for a client

This means that the dynamic module was created for an older version of 

I've just submitted a patch to Guido (for historic reasons this code
is in the machine-independent part of Python) that gives a beter error 
message in this case.
Jack Jansen             | ++++ stop the execution of Mumia Abu-Jamal ++++
Jack.Jansen@oratrix.com | ++++ if you agree copy these lines to your sig ++++
www.oratrix.nl/~jack    | see http://www.xs4all.nl/~tank/spg-l/sigaction.htm